Bug 1304342 - sudden Xorg crashes
sudden Xorg crashes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 06:27 EST by Tamas Selmeci
Modified: 2016-12-20 13:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log containing the cause of the crash (40.71 KB, text/plain)
2016-02-03 06:27 EST, Tamas Selmeci
no flags Details

  None (edit)
Description Tamas Selmeci 2016-02-03 06:27:44 EST
Created attachment 1120718 [details]
Xorg log containing the cause of the crash

Description of problem:
Using MATE Desktop on FC23, Xorg tends to crash regularly. Nothing special is done, I'm just using my computer (10 workspaces), often switching between the workspaces. The machine has 8GB of RAM, half of its is free, swap is not in use. Xorg crashes and I need to relaunch all my applications (since they were all children of the crashed Xorg). Sometimes twice a day, sometimes once a week.

The Intel video card driver appears to be the root cause. There's only only GPU in the machine (Lenovo T530).

How reproducible:
Use the machine with MATE Desktop, perform e.g. frequent workspace switches, have many open windows (MATE Terminal, KATE, LibreOffice, Evolution, claws-mail etc.) and the crash will occur soon or later.

Steps to Reproduce:
There's no exact recipe for this, see above.

Additional info:
See the attached Xorg log.
Comment 1 Fedora End Of Life 2016-11-24 10:22:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:24:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.